> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/annotation/3d.md).

# Create 3D Annotations in WebViewer

Enhance your document collaboration with WebViewer's 3D Annotations feature. Easily add, manipulate, and view 3D annotations for interactive document engagement. The Apryse Web SDK streamlines secure,

{% hint style="warning" %}
Note that currently 3D annotations are viewable inside of WebViewer but will not be merged into the PDF when downloaded. They can be exported and imported from XFDF to support viewing and saving inside of WebViewer.
{% endhint %}

WebViewer supports adding, manipulating and viewing 3D annotations since version 8. Users can select a glTF/GLB File ([GL Transmission Format](https://en.wikipedia.org/wiki/GlTF)) either locally or from a URL and the model will be displayed on the page as an interactive annotation.

### Enable 3D Annotation tool

The 3D annotation button is turned off by default. To enable it, you can use the [enableElements](https://sdk.apryse.com/api/web/UI.html#.enableElements__anchor) API:

{% tabs %}
{% tab title="JavaScript" %}
{% code lineNumbers="true" %}

```js
const wvElement = document.getElementById('viewer');
WebViewer({ ...options }, wvElement).then(() => {
  instance.UI.enableElements([ 'threeDToolGroupButton' ]);
});
```

{% endcode %}
{% endtab %}
{% endtabs %}

![](https://3532544125-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FX9YnTSKIHvV7m0A36LbO%2Fuploads%2Fgit-blob-33ac3905389ed569887691cb115addd5c4e9fc27%2Fab4f914b2c335d800054094eb9b68b165752627f-862x81.png?alt=media)

### Operations

Similar to other annotation types, 3D annotations allow basic operations like moving, resizing, commenting, adding URL/Page link and deleting.

![](https://3532544125-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FX9YnTSKIHvV7m0A36LbO%2Fuploads%2Fgit-blob-1272a1e8820daf35c12a05269b083f7f5ac65c6d%2Fb1229042f174ef93b07043167de43fd02ee2943a-611x488.gif?alt=media)

The 3D annotation also supports rotation (`shift` + mouse move) and zoom operations (`shift` + mouse wheel)

![](https://3532544125-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FX9YnTSKIHvV7m0A36LbO%2Fuploads%2Fgit-blob-cd1b1238ef9f77ece84f30c6a9769ce68b9f6921%2Fcab07ea89357a06af6c9dd4f12dded76a0fb9102-611x488.gif?alt=media)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/annotation/3d.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
